Openi DeveloperDeveloper
Referência da APIData sources

List files of a data source

GET
/v1/data-sources/{id}/files

Authorization

ApiKeyAuth
x-api-key<token>

Tenant API key

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/data-sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/files"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "dataSourceId": "2b37f84c-d876-441e-9b27-0c3482a7c574",    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",    "fileName": "string",    "originalName": "string",    "filePath": "string",    "format": "csv",    "mimeType": "string",    "sizeBytes": 0,    "headers": [      "string"    ],    "sheetNames": [      "string"    ],    "rowCount": 0,    "status": "ready",    "errorMessage": "string",    "metadata": {},    "uploadedAt": "2019-08-24T14:15:22Z",    "processedAt": "2019-08-24T14:15:22Z"  }]